//#line 2 "/opt/ros/noetic/share/dynamic_reconfigure/cmake/../templates/ConfigType.h.template"
// *********************************************************
//
// File autogenerated for the spinnaker_camera_driver package
// by the dynamic_reconfigure package.
// Please do not edit.
//
// ********************************************************/

#ifndef __spinnaker_camera_driver__SPINNAKERCONFIG_H__
#define __spinnaker_camera_driver__SPINNAKERCONFIG_H__

#if __cplusplus >= 201103L
#define DYNAMIC_RECONFIGURE_FINAL final
#else
#define DYNAMIC_RECONFIGURE_FINAL
#endif

#include <dynamic_reconfigure/config_tools.h>
#include <limits>
#include <ros/node_handle.h>
#include <dynamic_reconfigure/ConfigDescription.h>
#include <dynamic_reconfigure/ParamDescription.h>
#include <dynamic_reconfigure/Group.h>
#include <dynamic_reconfigure/config_init_mutex.h>
#include <boost/any.hpp>

namespace spinnaker_camera_driver
{
  class SpinnakerConfigStatics;

  class SpinnakerConfig
  {
  public:
    class AbstractParamDescription : public dynamic_reconfigure::ParamDescription
    {
    public:
      AbstractParamDescription(std::string n, std::string t, uint32_t l,
          std::string d, std::string e)
      {
        name = n;
        type = t;
        level = l;
        description = d;
        edit_method = e;
      }
      virtual ~AbstractParamDescription() = default;

      virtual void clamp(SpinnakerConfig &config, const SpinnakerConfig &max, const SpinnakerConfig &min) const = 0;
      virtual void calcLevel(uint32_t &level, const SpinnakerConfig &config1, const SpinnakerConfig &config2) const = 0;
      virtual void fromServer(const ros::NodeHandle &nh, SpinnakerConfig &config) const = 0;
      virtual void toServer(const ros::NodeHandle &nh, const SpinnakerConfig &config) const = 0;
      virtual bool fromMessage(const dynamic_reconfigure::Config &msg, SpinnakerConfig &config) const = 0;
      virtual void toMessage(dynamic_reconfigure::Config &msg, const SpinnakerConfig &config) const = 0;
      virtual void getValue(const SpinnakerConfig &config, boost::any &val) const = 0;
    };

    typedef boost::shared_ptr<AbstractParamDescription> AbstractParamDescriptionPtr;
    typedef boost::shared_ptr<const AbstractParamDescription> AbstractParamDescriptionConstPtr;

    // Final keyword added to class because it has virtual methods and inherits
    // from a class with a non-virtual destructor.
    template <class T>
    class ParamDescription DYNAMIC_RECONFIGURE_FINAL : public AbstractParamDescription
    {
    public:
      ParamDescription(std::string a_name, std::string a_type, uint32_t a_level,
          std::string a_description, std::string a_edit_method, T SpinnakerConfig::* a_f) :
        AbstractParamDescription(a_name, a_type, a_level, a_description, a_edit_method),
        field(a_f)
      {}

      T SpinnakerConfig::* field;

      virtual void clamp(SpinnakerConfig &config, const SpinnakerConfig &max, const SpinnakerConfig &min) const override
      {
        if (config.*field > max.*field)
          config.*field = max.*field;

        if (config.*field < min.*field)
          config.*field = min.*field;
      }

      virtual void calcLevel(uint32_t &comb_level, const SpinnakerConfig &config1, const SpinnakerConfig &config2) const override
      {
        if (config1.*field != config2.*field)
          comb_level |= level;
      }

      virtual void fromServer(const ros::NodeHandle &nh, SpinnakerConfig &config) const override
      {
        nh.getParam(name, config.*field);
      }

      virtual void toServer(const ros::NodeHandle &nh, const SpinnakerConfig &config) const override
      {
        nh.setParam(name, config.*field);
      }

      virtual bool fromMessage(const dynamic_reconfigure::Config &msg, SpinnakerConfig &config) const override
      {
        return dynamic_reconfigure::ConfigTools::getParameter(msg, name, config.*field);
      }

      virtual void toMessage(dynamic_reconfigure::Config &msg, const SpinnakerConfig &config) const override
      {
        dynamic_reconfigure::ConfigTools::appendParameter(msg, name, config.*field);
      }

      virtual void getValue(const SpinnakerConfig &config, boost::any &val) const override
      {
        val = config.*field;
      }
    };

    class AbstractGroupDescription : public dynamic_reconfigure::Group
    {
      public:
      AbstractGroupDescription(std::string n, std::string t, int p, int i, bool s)
      {
        name = n;
        type = t;
        parent = p;
        state = s;
        id = i;
      }

      virtual ~AbstractGroupDescription() = default;

      std::vector<AbstractParamDescriptionConstPtr> abstract_parameters;
      bool state;

      virtual void toMessage(dynamic_reconfigure::Config &msg, const boost::any &config) const = 0;
      virtual bool fromMessage(const dynamic_reconfigure::Config &msg, boost::any &config) const =0;
      virtual void updateParams(boost::any &cfg, SpinnakerConfig &top) const= 0;
      virtual void setInitialState(boost::any &cfg) const = 0;


      void convertParams()
      {
        for(std::vector<AbstractParamDescriptionConstPtr>::const_iterator i = abstract_parameters.begin(); i != abstract_parameters.end(); ++i)
        {
          parameters.push_back(dynamic_reconfigure::ParamDescription(**i));
        }
      }
    };

    typedef boost::shared_ptr<AbstractGroupDescription> AbstractGroupDescriptionPtr;
    typedef boost::shared_ptr<const AbstractGroupDescription> AbstractGroupDescriptionConstPtr;

    // Final keyword added to class because it has virtual methods and inherits
    // from a class with a non-virtual destructor.
    template<class T, class PT>
    class GroupDescription DYNAMIC_RECONFIGURE_FINAL : public AbstractGroupDescription
    {
    public:
      GroupDescription(std::string a_name, std::string a_type, int a_parent, int a_id, bool a_s, T PT::* a_f) : AbstractGroupDescription(a_name, a_type, a_parent, a_id, a_s), field(a_f)
      {
      }

      GroupDescription(const GroupDescription<T, PT>& g): AbstractGroupDescription(g.name, g.type, g.parent, g.id, g.state), field(g.field), groups(g.groups)
      {
        parameters = g.parameters;
        abstract_parameters = g.abstract_parameters;
      }

      virtual bool fromMessage(const dynamic_reconfigure::Config &msg, boost::any &cfg) const override
      {
        PT* config = boost::any_cast<PT*>(cfg);
        if(!dynamic_reconfigure::ConfigTools::getGroupState(msg, name, (*config).*field))
          return false;

        for(std::vector<AbstractGroupDescriptionConstPtr>::const_iterator i = groups.begin(); i != groups.end(); ++i)
        {
          boost::any n = &((*config).*field);
          if(!(*i)->fromMessage(msg, n))
            return false;
        }

        return true;
      }

      virtual void setInitialState(boost::any &cfg) const override
      {
        PT* config = boost::any_cast<PT*>(cfg);
        T* group = &((*config).*field);
        group->state = state;

        for(std::vector<AbstractGroupDescriptionConstPtr>::const_iterator i = groups.begin(); i != groups.end(); ++i)
        {
          boost::any n = boost::any(&((*config).*field));
          (*i)->setInitialState(n);
        }

      }

      virtual void updateParams(boost::any &cfg, SpinnakerConfig &top) const override
      {
        PT* config = boost::any_cast<PT*>(cfg);

        T* f = &((*config).*field);
        f->setParams(top, abstract_parameters);

        for(std::vector<AbstractGroupDescriptionConstPtr>::const_iterator i = groups.begin(); i != groups.end(); ++i)
        {
          boost::any n = &((*config).*field);
          (*i)->updateParams(n, top);
        }
      }

      virtual void toMessage(dynamic_reconfigure::Config &msg, const boost::any &cfg) const override
      {
        const PT config = boost::any_cast<PT>(cfg);
        dynamic_reconfigure::ConfigTools::appendGroup<T>(msg, name, id, parent, config.*field);

        for(std::vector<AbstractGroupDescriptionConstPtr>::const_iterator i = groups.begin(); i != groups.end(); ++i)
        {
          (*i)->toMessage(msg, config.*field);
        }
      }

      T PT::* field;
      std::vector<SpinnakerConfig::AbstractGroupDescriptionConstPtr> groups;
    };

class DEFAULT
{
  public:
    DEFAULT()
    {
      state = true;
      name = "Default";
    }

    void setParams(SpinnakerConfig &config, const std::vector<AbstractParamDescriptionConstPtr> params)
    {
      for (std::vector<AbstractParamDescriptionConstPtr>::const_iterator _i = params.begin(); _i != params.end(); ++_i)
      {
        boost::any val;
        (*_i)->getValue(config, val);

        if("acquisition_frame_rate"==(*_i)->name){acquisition_frame_rate = boost::any_cast<double>(val);}
        if("acquisition_frame_rate_enable"==(*_i)->name){acquisition_frame_rate_enable = boost::any_cast<bool>(val);}
        if("exposure_mode"==(*_i)->name){exposure_mode = boost::any_cast<std::string>(val);}
        if("exposure_auto"==(*_i)->name){exposure_auto = boost::any_cast<std::string>(val);}
        if("exposure_time"==(*_i)->name){exposure_time = boost::any_cast<double>(val);}
        if("auto_exposure_time_upper_limit"==(*_i)->name){auto_exposure_time_upper_limit = boost::any_cast<double>(val);}
        if("gain_selector"==(*_i)->name){gain_selector = boost::any_cast<std::string>(val);}
        if("auto_gain"==(*_i)->name){auto_gain = boost::any_cast<std::string>(val);}
        if("gain"==(*_i)->name){gain = boost::any_cast<double>(val);}
        if("brightness"==(*_i)->name){brightness = boost::any_cast<double>(val);}
        if("sharpening_enable"==(*_i)->name){sharpening_enable = boost::any_cast<bool>(val);}
        if("auto_sharpness"==(*_i)->name){auto_sharpness = boost::any_cast<bool>(val);}
        if("sharpness"==(*_i)->name){sharpness = boost::any_cast<double>(val);}
        if("sharpening_threshold"==(*_i)->name){sharpening_threshold = boost::any_cast<double>(val);}
        if("saturation_enable"==(*_i)->name){saturation_enable = boost::any_cast<bool>(val);}
        if("saturation"==(*_i)->name){saturation = boost::any_cast<double>(val);}
        if("gamma_enable"==(*_i)->name){gamma_enable = boost::any_cast<bool>(val);}
        if("gamma"==(*_i)->name){gamma = boost::any_cast<double>(val);}
        if("auto_white_balance"==(*_i)->name){auto_white_balance = boost::any_cast<std::string>(val);}
        if("white_balance_blue_ratio"==(*_i)->name){white_balance_blue_ratio = boost::any_cast<double>(val);}
        if("white_balance_red_ratio"==(*_i)->name){white_balance_red_ratio = boost::any_cast<double>(val);}
        if("image_format_roi_width"==(*_i)->name){image_format_roi_width = boost::any_cast<int>(val);}
        if("image_format_roi_height"==(*_i)->name){image_format_roi_height = boost::any_cast<int>(val);}
        if("image_format_x_offset"==(*_i)->name){image_format_x_offset = boost::any_cast<int>(val);}
        if("image_format_y_offset"==(*_i)->name){image_format_y_offset = boost::any_cast<int>(val);}
        if("image_format_x_binning"==(*_i)->name){image_format_x_binning = boost::any_cast<int>(val);}
        if("image_format_y_binning"==(*_i)->name){image_format_y_binning = boost::any_cast<int>(val);}
        if("image_format_x_decimation"==(*_i)->name){image_format_x_decimation = boost::any_cast<int>(val);}
        if("image_format_y_decimation"==(*_i)->name){image_format_y_decimation = boost::any_cast<int>(val);}
        if("image_format_x_reverse"==(*_i)->name){image_format_x_reverse = boost::any_cast<bool>(val);}
        if("image_format_y_reverse"==(*_i)->name){image_format_y_reverse = boost::any_cast<bool>(val);}
        if("image_format_color_coding"==(*_i)->name){image_format_color_coding = boost::any_cast<std::string>(val);}
        if("isp_enable"==(*_i)->name){isp_enable = boost::any_cast<bool>(val);}
        if("enable_trigger"==(*_i)->name){enable_trigger = boost::any_cast<std::string>(val);}
        if("trigger_selector"==(*_i)->name){trigger_selector = boost::any_cast<std::string>(val);}
        if("trigger_activation_mode"==(*_i)->name){trigger_activation_mode = boost::any_cast<std::string>(val);}
        if("trigger_source"==(*_i)->name){trigger_source = boost::any_cast<std::string>(val);}
        if("trigger_overlap_mode"==(*_i)->name){trigger_overlap_mode = boost::any_cast<std::string>(val);}
        if("line_source"==(*_i)->name){line_source = boost::any_cast<std::string>(val);}
        if("line_selector"==(*_i)->name){line_selector = boost::any_cast<std::string>(val);}
        if("line_mode"==(*_i)->name){line_mode = boost::any_cast<std::string>(val);}
        if("auto_exposure_roi_offset_x"==(*_i)->name){auto_exposure_roi_offset_x = boost::any_cast<int>(val);}
        if("auto_exposure_roi_offset_y"==(*_i)->name){auto_exposure_roi_offset_y = boost::any_cast<int>(val);}
        if("auto_exposure_roi_width"==(*_i)->name){auto_exposure_roi_width = boost::any_cast<int>(val);}
        if("auto_exposure_roi_height"==(*_i)->name){auto_exposure_roi_height = boost::any_cast<int>(val);}
        if("auto_exposure_lighting_mode"==(*_i)->name){auto_exposure_lighting_mode = boost::any_cast<std::string>(val);}
        if("time_offset"==(*_i)->name){time_offset = boost::any_cast<double>(val);}
      }
    }

    double acquisition_frame_rate;
bool acquisition_frame_rate_enable;
std::string exposure_mode;
std::string exposure_auto;
double exposure_time;
double auto_exposure_time_upper_limit;
std::string gain_selector;
std::string auto_gain;
double gain;
double brightness;
bool sharpening_enable;
bool auto_sharpness;
double sharpness;
double sharpening_threshold;
bool saturation_enable;
double saturation;
bool gamma_enable;
double gamma;
std::string auto_white_balance;
double white_balance_blue_ratio;
double white_balance_red_ratio;
int image_format_roi_width;
int image_format_roi_height;
int image_format_x_offset;
int image_format_y_offset;
int image_format_x_binning;
int image_format_y_binning;
int image_format_x_decimation;
int image_format_y_decimation;
bool image_format_x_reverse;
bool image_format_y_reverse;
std::string image_format_color_coding;
bool isp_enable;
std::string enable_trigger;
std::string trigger_selector;
std::string trigger_activation_mode;
std::string trigger_source;
std::string trigger_overlap_mode;
std::string line_source;
std::string line_selector;
std::string line_mode;
int auto_exposure_roi_offset_x;
int auto_exposure_roi_offset_y;
int auto_exposure_roi_width;
int auto_exposure_roi_height;
std::string auto_exposure_lighting_mode;
double time_offset;

    bool state;
    std::string name;

    
}groups;



//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      double acquisition_frame_rate;
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      bool acquisition_frame_rate_enable;
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      std::string exposure_mode;
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      std::string exposure_auto;
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      double exposure_time;
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      double auto_exposure_time_upper_limit;
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      std::string gain_selector;
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      std::string auto_gain;
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      double gain;
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      double brightness;
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      bool sharpening_enable;
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      bool auto_sharpness;
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      double sharpness;
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      double sharpening_threshold;
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      bool saturation_enable;
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      double saturation;
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      bool gamma_enable;
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      double gamma;
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      std::string auto_white_balance;
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      double white_balance_blue_ratio;
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      double white_balance_red_ratio;
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      int image_format_roi_width;
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      int image_format_roi_height;
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      int image_format_x_offset;
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      int image_format_y_offset;
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      int image_format_x_binning;
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      int image_format_y_binning;
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      int image_format_x_decimation;
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      int image_format_y_decimation;
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      bool image_format_x_reverse;
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      bool image_format_y_reverse;
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      std::string image_format_color_coding;
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      bool isp_enable;
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      std::string enable_trigger;
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      std::string trigger_selector;
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      std::string trigger_activation_mode;
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      std::string trigger_source;
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      std::string trigger_overlap_mode;
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      std::string line_source;
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      std::string line_selector;
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      std::string line_mode;
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      int auto_exposure_roi_offset_x;
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      int auto_exposure_roi_offset_y;
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      int auto_exposure_roi_width;
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      int auto_exposure_roi_height;
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      std::string auto_exposure_lighting_mode;
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      double time_offset;
//#line 231 "/opt/ros/noetic/share/dynamic_reconfigure/cmake/../templates/ConfigType.h.template"

    bool __fromMessage__(dynamic_reconfigure::Config &msg)
    {
      const std::vector<AbstractParamDescriptionConstPtr> &__param_descriptions__ = __getParamDescriptions__();
      const std::vector<AbstractGroupDescriptionConstPtr> &__group_descriptions__ = __getGroupDescriptions__();

      int count = 0;
      for (std::vector<AbstractParamDescriptionConstPtr>::const_iterator i = __param_descriptions__.begin(); i != __param_descriptions__.end(); ++i)
        if ((*i)->fromMessage(msg, *this))
          count++;

      for (std::vector<AbstractGroupDescriptionConstPtr>::const_iterator i = __group_descriptions__.begin(); i != __group_descriptions__.end(); i ++)
      {
        if ((*i)->id == 0)
        {
          boost::any n = boost::any(this);
          (*i)->updateParams(n, *this);
          (*i)->fromMessage(msg, n);
        }
      }

      if (count != dynamic_reconfigure::ConfigTools::size(msg))
      {
        ROS_ERROR("SpinnakerConfig::__fromMessage__ called with an unexpected parameter.");
        ROS_ERROR("Booleans:");
        for (size_t i = 0; i < msg.bools.size(); i++)
          ROS_ERROR("  %s", msg.bools[i].name.c_str());
        ROS_ERROR("Integers:");
        for (size_t i = 0; i < msg.ints.size(); i++)
          ROS_ERROR("  %s", msg.ints[i].name.c_str());
        ROS_ERROR("Doubles:");
        for (size_t i = 0; i < msg.doubles.size(); i++)
          ROS_ERROR("  %s", msg.doubles[i].name.c_str());
        ROS_ERROR("Strings:");
        for (size_t i = 0; i < msg.strs.size(); i++)
          ROS_ERROR("  %s", msg.strs[i].name.c_str());
        // @todo Check that there are no duplicates. Make this error more
        // explicit.
        return false;
      }
      return true;
    }

    // This version of __toMessage__ is used during initialization of
    // statics when __getParamDescriptions__ can't be called yet.
    void __toMessage__(dynamic_reconfigure::Config &msg, const std::vector<AbstractParamDescriptionConstPtr> &__param_descriptions__, const std::vector<AbstractGroupDescriptionConstPtr> &__group_descriptions__) const
    {
      dynamic_reconfigure::ConfigTools::clear(msg);
      for (std::vector<AbstractParamDescriptionConstPtr>::const_iterator i = __param_descriptions__.begin(); i != __param_descriptions__.end(); ++i)
        (*i)->toMessage(msg, *this);

      for (std::vector<AbstractGroupDescriptionConstPtr>::const_iterator i = __group_descriptions__.begin(); i != __group_descriptions__.end(); ++i)
      {
        if((*i)->id == 0)
        {
          (*i)->toMessage(msg, *this);
        }
      }
    }

    void __toMessage__(dynamic_reconfigure::Config &msg) const
    {
      const std::vector<AbstractParamDescriptionConstPtr> &__param_descriptions__ = __getParamDescriptions__();
      const std::vector<AbstractGroupDescriptionConstPtr> &__group_descriptions__ = __getGroupDescriptions__();
      __toMessage__(msg, __param_descriptions__, __group_descriptions__);
    }

    void __toServer__(const ros::NodeHandle &nh) const
    {
      const std::vector<AbstractParamDescriptionConstPtr> &__param_descriptions__ = __getParamDescriptions__();
      for (std::vector<AbstractParamDescriptionConstPtr>::const_iterator i = __param_descriptions__.begin(); i != __param_descriptions__.end(); ++i)
        (*i)->toServer(nh, *this);
    }

    void __fromServer__(const ros::NodeHandle &nh)
    {
      static bool setup=false;

      const std::vector<AbstractParamDescriptionConstPtr> &__param_descriptions__ = __getParamDescriptions__();
      for (std::vector<AbstractParamDescriptionConstPtr>::const_iterator i = __param_descriptions__.begin(); i != __param_descriptions__.end(); ++i)
        (*i)->fromServer(nh, *this);

      const std::vector<AbstractGroupDescriptionConstPtr> &__group_descriptions__ = __getGroupDescriptions__();
      for (std::vector<AbstractGroupDescriptionConstPtr>::const_iterator i = __group_descriptions__.begin(); i != __group_descriptions__.end(); i++){
        if (!setup && (*i)->id == 0) {
          setup = true;
          boost::any n = boost::any(this);
          (*i)->setInitialState(n);
        }
      }
    }

    void __clamp__()
    {
      const std::vector<AbstractParamDescriptionConstPtr> &__param_descriptions__ = __getParamDescriptions__();
      const SpinnakerConfig &__max__ = __getMax__();
      const SpinnakerConfig &__min__ = __getMin__();
      for (std::vector<AbstractParamDescriptionConstPtr>::const_iterator i = __param_descriptions__.begin(); i != __param_descriptions__.end(); ++i)
        (*i)->clamp(*this, __max__, __min__);
    }

    uint32_t __level__(const SpinnakerConfig &config) const
    {
      const std::vector<AbstractParamDescriptionConstPtr> &__param_descriptions__ = __getParamDescriptions__();
      uint32_t level = 0;
      for (std::vector<AbstractParamDescriptionConstPtr>::const_iterator i = __param_descriptions__.begin(); i != __param_descriptions__.end(); ++i)
        (*i)->calcLevel(level, config, *this);
      return level;
    }

    static const dynamic_reconfigure::ConfigDescription &__getDescriptionMessage__();
    static const SpinnakerConfig &__getDefault__();
    static const SpinnakerConfig &__getMax__();
    static const SpinnakerConfig &__getMin__();
    static const std::vector<AbstractParamDescriptionConstPtr> &__getParamDescriptions__();
    static const std::vector<AbstractGroupDescriptionConstPtr> &__getGroupDescriptions__();

  private:
    static const SpinnakerConfigStatics *__get_statics__();
  };

  template <> // Max and min are ignored for strings.
  inline void SpinnakerConfig::ParamDescription<std::string>::clamp(SpinnakerConfig &config, const SpinnakerConfig &max, const SpinnakerConfig &min) const
  {
    (void) config;
    (void) min;
    (void) max;
    return;
  }

  class SpinnakerConfigStatics
  {
    friend class SpinnakerConfig;

    SpinnakerConfigStatics()
    {
SpinnakerConfig::GroupDescription<SpinnakerConfig::DEFAULT, SpinnakerConfig> Default("Default", "", 0, 0, true, &SpinnakerConfig::groups);
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __min__.acquisition_frame_rate = 0.0;
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __max__.acquisition_frame_rate = 120.0;
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __default__.acquisition_frame_rate = 10.0;
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      Default.abstract_parameters.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<double>("acquisition_frame_rate", "double", 0, "User controlled acquisition frame rate in Hertz (frames per second).", "", &SpinnakerConfig::acquisition_frame_rate)));
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __param_descriptions__.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<double>("acquisition_frame_rate", "double", 0, "User controlled acquisition frame rate in Hertz (frames per second).", "", &SpinnakerConfig::acquisition_frame_rate)));
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __min__.acquisition_frame_rate_enable = 0;
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __max__.acquisition_frame_rate_enable = 1;
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __default__.acquisition_frame_rate_enable = 0;
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      Default.abstract_parameters.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<bool>("acquisition_frame_rate_enable", "bool", 0, "Enables manual (True) and automatic (False) control of the aquisition frame rate", "", &SpinnakerConfig::acquisition_frame_rate_enable)));
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __param_descriptions__.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<bool>("acquisition_frame_rate_enable", "bool", 0, "Enables manual (True) and automatic (False) control of the aquisition frame rate", "", &SpinnakerConfig::acquisition_frame_rate_enable)));
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __min__.exposure_mode = "";
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __max__.exposure_mode = "";
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __default__.exposure_mode = "Timed";
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      Default.abstract_parameters.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<std::string>("exposure_mode", "str", 1, "Sets the operation mode of the Exposure (Timed or TriggerWidth).", "", &SpinnakerConfig::exposure_mode)));
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __param_descriptions__.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<std::string>("exposure_mode", "str", 1, "Sets the operation mode of the Exposure (Timed or TriggerWidth).", "", &SpinnakerConfig::exposure_mode)));
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __min__.exposure_auto = "";
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __max__.exposure_auto = "";
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __default__.exposure_auto = "Continuous";
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      Default.abstract_parameters.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<std::string>("exposure_auto", "str", 0, "Sets the automatic exposure mode to: 'Off', 'Once' or 'Continuous'", "{'enum': [{'name': 'AutoOff', 'type': 'str', 'value': 'Off', 'srcline': 83, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'AutoOnce', 'type': 'str', 'value': 'Once', 'srcline': 84, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'AutoContinuous', 'type': 'str', 'value': 'Continuous', 'srcline': 85, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}], 'enum_description': 'Automatic mode: Off, Once, or Continuous.'}", &SpinnakerConfig::exposure_auto)));
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __param_descriptions__.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<std::string>("exposure_auto", "str", 0, "Sets the automatic exposure mode to: 'Off', 'Once' or 'Continuous'", "{'enum': [{'name': 'AutoOff', 'type': 'str', 'value': 'Off', 'srcline': 83, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'AutoOnce', 'type': 'str', 'value': 'Once', 'srcline': 84, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'AutoContinuous', 'type': 'str', 'value': 'Continuous', 'srcline': 85, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}], 'enum_description': 'Automatic mode: Off, Once, or Continuous.'}", &SpinnakerConfig::exposure_auto)));
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __min__.exposure_time = 0.0;
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __max__.exposure_time = 3000000.0;
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __default__.exposure_time = 100.0;
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      Default.abstract_parameters.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<double>("exposure_time", "double", 0, "Exposure time in microseconds when Exposure Mode is Timed and Exposure Auto is not Continuous.", "", &SpinnakerConfig::exposure_time)));
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __param_descriptions__.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<double>("exposure_time", "double", 0, "Exposure time in microseconds when Exposure Mode is Timed and Exposure Auto is not Continuous.", "", &SpinnakerConfig::exposure_time)));
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __min__.auto_exposure_time_upper_limit = 0.0;
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __max__.auto_exposure_time_upper_limit = 3000000.0;
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __default__.auto_exposure_time_upper_limit = 5000.0;
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      Default.abstract_parameters.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<double>("auto_exposure_time_upper_limit", "double", 0, "Upper Limit on Shutter Speed.", "", &SpinnakerConfig::auto_exposure_time_upper_limit)));
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __param_descriptions__.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<double>("auto_exposure_time_upper_limit", "double", 0, "Upper Limit on Shutter Speed.", "", &SpinnakerConfig::auto_exposure_time_upper_limit)));
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __min__.gain_selector = "";
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __max__.gain_selector = "";
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __default__.gain_selector = "All";
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      Default.abstract_parameters.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<std::string>("gain_selector", "str", 0, "Selects which gain to control. The All selection is a total amplification across all channels.", "", &SpinnakerConfig::gain_selector)));
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __param_descriptions__.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<std::string>("gain_selector", "str", 0, "Selects which gain to control. The All selection is a total amplification across all channels.", "", &SpinnakerConfig::gain_selector)));
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __min__.auto_gain = "";
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __max__.auto_gain = "";
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __default__.auto_gain = "Continuous";
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      Default.abstract_parameters.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<std::string>("auto_gain", "str", 0, "Gain state control. (Off, Once, Continuous)", "{'enum': [{'name': 'AutoOff', 'type': 'str', 'value': 'Off', 'srcline': 83, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'AutoOnce', 'type': 'str', 'value': 'Once', 'srcline': 84, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'AutoContinuous', 'type': 'str', 'value': 'Continuous', 'srcline': 85, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}], 'enum_description': 'Automatic mode: Off, Once, or Continuous.'}", &SpinnakerConfig::auto_gain)));
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __param_descriptions__.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<std::string>("auto_gain", "str", 0, "Gain state control. (Off, Once, Continuous)", "{'enum': [{'name': 'AutoOff', 'type': 'str', 'value': 'Off', 'srcline': 83, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'AutoOnce', 'type': 'str', 'value': 'Once', 'srcline': 84, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'AutoContinuous', 'type': 'str', 'value': 'Continuous', 'srcline': 85, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}], 'enum_description': 'Automatic mode: Off, Once, or Continuous.'}", &SpinnakerConfig::auto_gain)));
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __min__.gain = -10.0;
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __max__.gain = 30.0;
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __default__.gain = 0.0;
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      Default.abstract_parameters.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<double>("gain", "double", 0, "Controls the amplification of the video signal in dB.", "", &SpinnakerConfig::gain)));
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __param_descriptions__.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<double>("gain", "double", 0, "Controls the amplification of the video signal in dB.", "", &SpinnakerConfig::gain)));
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __min__.brightness = 0.0;
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __max__.brightness = 10.0;
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __default__.brightness = 1.7;
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      Default.abstract_parameters.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<double>("brightness", "double", 0, "Also known as Black level offset. Refers to the output of the camera when not illuminated.", "", &SpinnakerConfig::brightness)));
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __param_descriptions__.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<double>("brightness", "double", 0, "Also known as Black level offset. Refers to the output of the camera when not illuminated.", "", &SpinnakerConfig::brightness)));
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __min__.sharpening_enable = 0;
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __max__.sharpening_enable = 1;
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __default__.sharpening_enable = 0;
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      Default.abstract_parameters.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<bool>("sharpening_enable", "bool", 0, "Enables/disables the sharpening feature. Sharpening is disabled by default.", "", &SpinnakerConfig::sharpening_enable)));
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __param_descriptions__.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<bool>("sharpening_enable", "bool", 0, "Enables/disables the sharpening feature. Sharpening is disabled by default.", "", &SpinnakerConfig::sharpening_enable)));
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __min__.auto_sharpness = 0;
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __max__.auto_sharpness = 1;
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __default__.auto_sharpness = 1;
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      Default.abstract_parameters.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<bool>("auto_sharpness", "bool", 0, "Enables/disables the auto sharpening feature.", "", &SpinnakerConfig::auto_sharpness)));
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __param_descriptions__.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<bool>("auto_sharpness", "bool", 0, "Enables/disables the auto sharpening feature.", "", &SpinnakerConfig::auto_sharpness)));
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __min__.sharpness = 0.0;
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __max__.sharpness = 4095.0;
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __default__.sharpness = 1024.0;
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      Default.abstract_parameters.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<double>("sharpness", "double", 0, "Controls the amount to sharpen a signal.", "", &SpinnakerConfig::sharpness)));
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __param_descriptions__.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<double>("sharpness", "double", 0, "Controls the amount to sharpen a signal.", "", &SpinnakerConfig::sharpness)));
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __min__.sharpening_threshold = 0.0;
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __max__.sharpening_threshold = 0.25;
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __default__.sharpening_threshold = 0.1;
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      Default.abstract_parameters.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<double>("sharpening_threshold", "double", 0, "Controls the minimum intensity gradient change to invoke sharpening. ", "", &SpinnakerConfig::sharpening_threshold)));
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __param_descriptions__.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<double>("sharpening_threshold", "double", 0, "Controls the minimum intensity gradient change to invoke sharpening. ", "", &SpinnakerConfig::sharpening_threshold)));
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __min__.saturation_enable = 0;
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __max__.saturation_enable = 1;
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __default__.saturation_enable = 0;
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      Default.abstract_parameters.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<bool>("saturation_enable", "bool", 0, "Enables/disables Saturation adjustment..", "", &SpinnakerConfig::saturation_enable)));
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __param_descriptions__.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<bool>("saturation_enable", "bool", 0, "Enables/disables Saturation adjustment..", "", &SpinnakerConfig::saturation_enable)));
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __min__.saturation = 0.0;
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __max__.saturation = 399.0;
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __default__.saturation = 100.0;
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      Default.abstract_parameters.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<double>("saturation", "double", 0, "Saturation.", "", &SpinnakerConfig::saturation)));
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __param_descriptions__.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<double>("saturation", "double", 0, "Saturation.", "", &SpinnakerConfig::saturation)));
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __min__.gamma_enable = 0;
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __max__.gamma_enable = 1;
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __default__.gamma_enable = 1;
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      Default.abstract_parameters.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<bool>("gamma_enable", "bool", 0, "Enables/disables gamma correction.", "", &SpinnakerConfig::gamma_enable)));
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __param_descriptions__.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<bool>("gamma_enable", "bool", 0, "Enables/disables gamma correction.", "", &SpinnakerConfig::gamma_enable)));
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __min__.gamma = 0.5;
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __max__.gamma = 4.0;
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __default__.gamma = 1.0;
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      Default.abstract_parameters.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<double>("gamma", "double", 0, "Controls the gamma correction of pixel intensity.", "", &SpinnakerConfig::gamma)));
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __param_descriptions__.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<double>("gamma", "double", 0, "Controls the gamma correction of pixel intensity.", "", &SpinnakerConfig::gamma)));
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __min__.auto_white_balance = "";
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __max__.auto_white_balance = "";
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __default__.auto_white_balance = "Off";
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      Default.abstract_parameters.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<std::string>("auto_white_balance", "str", 0, "White Balance compensates for color shifts caused by different lighting conditions.", "{'enum': [{'name': 'AutoOff', 'type': 'str', 'value': 'Off', 'srcline': 83, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'AutoOnce', 'type': 'str', 'value': 'Once', 'srcline': 84, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'AutoContinuous', 'type': 'str', 'value': 'Continuous', 'srcline': 85, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}], 'enum_description': 'Automatic mode: Off, Once, or Continuous.'}", &SpinnakerConfig::auto_white_balance)));
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __param_descriptions__.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<std::string>("auto_white_balance", "str", 0, "White Balance compensates for color shifts caused by different lighting conditions.", "{'enum': [{'name': 'AutoOff', 'type': 'str', 'value': 'Off', 'srcline': 83, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'AutoOnce', 'type': 'str', 'value': 'Once', 'srcline': 84, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'AutoContinuous', 'type': 'str', 'value': 'Continuous', 'srcline': 85, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}], 'enum_description': 'Automatic mode: Off, Once, or Continuous.'}", &SpinnakerConfig::auto_white_balance)));
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __min__.white_balance_blue_ratio = 0.0;
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __max__.white_balance_blue_ratio = 1023.0;
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __default__.white_balance_blue_ratio = 800.0;
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      Default.abstract_parameters.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<double>("white_balance_blue_ratio", "double", 0, "White balance blue component.", "", &SpinnakerConfig::white_balance_blue_ratio)));
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __param_descriptions__.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<double>("white_balance_blue_ratio", "double", 0, "White balance blue component.", "", &SpinnakerConfig::white_balance_blue_ratio)));
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __min__.white_balance_red_ratio = 0.0;
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __max__.white_balance_red_ratio = 1023.0;
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __default__.white_balance_red_ratio = 550.0;
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      Default.abstract_parameters.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<double>("white_balance_red_ratio", "double", 0, "White balance red component.", "", &SpinnakerConfig::white_balance_red_ratio)));
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __param_descriptions__.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<double>("white_balance_red_ratio", "double", 0, "White balance red component.", "", &SpinnakerConfig::white_balance_red_ratio)));
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __min__.image_format_roi_width = 0;
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __max__.image_format_roi_width = 65535;
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __default__.image_format_roi_width = 0;
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      Default.abstract_parameters.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<int>("image_format_roi_width", "int", 1, "Width of the image provided by the device (in pixels).", "", &SpinnakerConfig::image_format_roi_width)));
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __param_descriptions__.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<int>("image_format_roi_width", "int", 1, "Width of the image provided by the device (in pixels).", "", &SpinnakerConfig::image_format_roi_width)));
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __min__.image_format_roi_height = 0;
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __max__.image_format_roi_height = 65535;
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __default__.image_format_roi_height = 0;
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      Default.abstract_parameters.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<int>("image_format_roi_height", "int", 1, "Height of the image provided by the device (in pixels).", "", &SpinnakerConfig::image_format_roi_height)));
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __param_descriptions__.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<int>("image_format_roi_height", "int", 1, "Height of the image provided by the device (in pixels).", "", &SpinnakerConfig::image_format_roi_height)));
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __min__.image_format_x_offset = 0;
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __max__.image_format_x_offset = 65535;
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __default__.image_format_x_offset = 0;
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      Default.abstract_parameters.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<int>("image_format_x_offset", "int", 1, "Horizontal offset from the origin to the ROI (in pixels).", "", &SpinnakerConfig::image_format_x_offset)));
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __param_descriptions__.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<int>("image_format_x_offset", "int", 1, "Horizontal offset from the origin to the ROI (in pixels).", "", &SpinnakerConfig::image_format_x_offset)));
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __min__.image_format_y_offset = 0;
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __max__.image_format_y_offset = 65535;
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __default__.image_format_y_offset = 0;
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      Default.abstract_parameters.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<int>("image_format_y_offset", "int", 1, "Vertical offset from the origin to the ROI (in pixels).", "", &SpinnakerConfig::image_format_y_offset)));
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __param_descriptions__.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<int>("image_format_y_offset", "int", 1, "Vertical offset from the origin to the ROI (in pixels).", "", &SpinnakerConfig::image_format_y_offset)));
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __min__.image_format_x_binning = 1;
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __max__.image_format_x_binning = 8;
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __default__.image_format_x_binning = 1;
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      Default.abstract_parameters.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<int>("image_format_x_binning", "int", 1, "Horizontal Binning.", "", &SpinnakerConfig::image_format_x_binning)));
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __param_descriptions__.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<int>("image_format_x_binning", "int", 1, "Horizontal Binning.", "", &SpinnakerConfig::image_format_x_binning)));
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __min__.image_format_y_binning = 1;
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __max__.image_format_y_binning = 8;
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __default__.image_format_y_binning = 1;
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      Default.abstract_parameters.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<int>("image_format_y_binning", "int", 1, "Vertical Binning.", "", &SpinnakerConfig::image_format_y_binning)));
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __param_descriptions__.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<int>("image_format_y_binning", "int", 1, "Vertical Binning.", "", &SpinnakerConfig::image_format_y_binning)));
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __min__.image_format_x_decimation = 1;
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __max__.image_format_x_decimation = 8;
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __default__.image_format_x_decimation = 1;
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      Default.abstract_parameters.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<int>("image_format_x_decimation", "int", 1, "Horizontal Decimation.", "", &SpinnakerConfig::image_format_x_decimation)));
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __param_descriptions__.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<int>("image_format_x_decimation", "int", 1, "Horizontal Decimation.", "", &SpinnakerConfig::image_format_x_decimation)));
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __min__.image_format_y_decimation = 1;
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __max__.image_format_y_decimation = 8;
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __default__.image_format_y_decimation = 1;
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      Default.abstract_parameters.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<int>("image_format_y_decimation", "int", 1, "Vertical Decimation.", "", &SpinnakerConfig::image_format_y_decimation)));
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __param_descriptions__.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<int>("image_format_y_decimation", "int", 1, "Vertical Decimation.", "", &SpinnakerConfig::image_format_y_decimation)));
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __min__.image_format_x_reverse = 0;
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __max__.image_format_x_reverse = 1;
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __default__.image_format_x_reverse = 0;
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      Default.abstract_parameters.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<bool>("image_format_x_reverse", "bool", 1, "Horizontal Reverse.", "", &SpinnakerConfig::image_format_x_reverse)));
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __param_descriptions__.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<bool>("image_format_x_reverse", "bool", 1, "Horizontal Reverse.", "", &SpinnakerConfig::image_format_x_reverse)));
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __min__.image_format_y_reverse = 0;
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __max__.image_format_y_reverse = 1;
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __default__.image_format_y_reverse = 0;
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      Default.abstract_parameters.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<bool>("image_format_y_reverse", "bool", 1, "Vertical Reverse.", "", &SpinnakerConfig::image_format_y_reverse)));
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __param_descriptions__.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<bool>("image_format_y_reverse", "bool", 1, "Vertical Reverse.", "", &SpinnakerConfig::image_format_y_reverse)));
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __min__.image_format_color_coding = "";
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __max__.image_format_color_coding = "";
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __default__.image_format_color_coding = "Mono8";
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      Default.abstract_parameters.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<std::string>("image_format_color_coding", "str", 1, "Image Color coding", "{'enum': [{'name': 'Mono8', 'type': 'str', 'value': 'Mono8', 'srcline': 137, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'Mono16', 'type': 'str', 'value': 'Mono16', 'srcline': 138, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'RGB8Packed', 'type': 'str', 'value': 'RGB8Packed', 'srcline': 140, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'BayerGR8', 'type': 'str', 'value': 'BayerGR8', 'srcline': 142, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'BayerRG8', 'type': 'str', 'value': 'BayerRG8', 'srcline': 143, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'BayerGB8', 'type': 'str', 'value': 'BayerGB8', 'srcline': 144, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'BayerBG8', 'type': 'str', 'value': 'BayerBG8', 'srcline': 145, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'BayerGR16', 'type': 'str', 'value': 'BayerGR16', 'srcline': 147, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'BayerRG16', 'type': 'str', 'value': 'BayerRG16', 'srcline': 148, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'BayerGB16', 'type': 'str', 'value': 'BayerGB16', 'srcline': 149, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'BayerBG16', 'type': 'str', 'value': 'BayerBG16', 'srcline': 150, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'Mono12Packed', 'type': 'str', 'value': 'Mono12Packed', 'srcline': 152, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'BayerGR12Packed', 'type': 'str', 'value': 'BayerGR12Packed', 'srcline': 154, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'BayerRG12Packed', 'type': 'str', 'value': 'BayerRG12Packed', 'srcline': 155, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'BayerGB12Packed', 'type': 'str', 'value': 'BayerGB12Packed', 'srcline': 156, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'BayerBG12Packed', 'type': 'str', 'value': 'BayerBG12Packed', 'srcline': 157, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'YUV411Packed', 'type': 'str', 'value': 'YUV411Packed', 'srcline': 159, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'YUV422Packed', 'type': 'str', 'value': 'YUV422Packed', 'srcline': 160, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'YUV444Packed', 'type': 'str', 'value': 'YUV444Packed', 'srcline': 161, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'Mono12p', 'type': 'str', 'value': 'Mono12p', 'srcline': 163, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'BayerGR12p', 'type': 'str', 'value': 'BayerGR12p', 'srcline': 165, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'BayerRG12p', 'type': 'str', 'value': 'BayerRG12p', 'srcline': 166, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'BayerGB12p', 'type': 'str', 'value': 'BayerGB12p', 'srcline': 167, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'BayerBG12p', 'type': 'str', 'value': 'BayerBG12p', 'srcline': 168, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'YCbCr8', 'type': 'str', 'value': 'YCbCr8', 'srcline': 171, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'YCbCr422_8', 'type': 'str', 'value': 'YCbCr422_8', 'srcline': 172, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'YCbCr411_8', 'type': 'str', 'value': 'YCbCr411_8', 'srcline': 173, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'BGR8', 'type': 'str', 'value': 'BGR8', 'srcline': 175, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'BGRa8', 'type': 'str', 'value': 'BGRa8', 'srcline': 176, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}], 'enum_description': 'Image Color Coding: Format of the pixel provided by the camera.'}", &SpinnakerConfig::image_format_color_coding)));
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __param_descriptions__.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<std::string>("image_format_color_coding", "str", 1, "Image Color coding", "{'enum': [{'name': 'Mono8', 'type': 'str', 'value': 'Mono8', 'srcline': 137, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'Mono16', 'type': 'str', 'value': 'Mono16', 'srcline': 138, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'RGB8Packed', 'type': 'str', 'value': 'RGB8Packed', 'srcline': 140, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'BayerGR8', 'type': 'str', 'value': 'BayerGR8', 'srcline': 142, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'BayerRG8', 'type': 'str', 'value': 'BayerRG8', 'srcline': 143, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'BayerGB8', 'type': 'str', 'value': 'BayerGB8', 'srcline': 144, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'BayerBG8', 'type': 'str', 'value': 'BayerBG8', 'srcline': 145, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'BayerGR16', 'type': 'str', 'value': 'BayerGR16', 'srcline': 147, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'BayerRG16', 'type': 'str', 'value': 'BayerRG16', 'srcline': 148, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'BayerGB16', 'type': 'str', 'value': 'BayerGB16', 'srcline': 149, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'BayerBG16', 'type': 'str', 'value': 'BayerBG16', 'srcline': 150, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'Mono12Packed', 'type': 'str', 'value': 'Mono12Packed', 'srcline': 152, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'BayerGR12Packed', 'type': 'str', 'value': 'BayerGR12Packed', 'srcline': 154, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'BayerRG12Packed', 'type': 'str', 'value': 'BayerRG12Packed', 'srcline': 155, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'BayerGB12Packed', 'type': 'str', 'value': 'BayerGB12Packed', 'srcline': 156, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'BayerBG12Packed', 'type': 'str', 'value': 'BayerBG12Packed', 'srcline': 157, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'YUV411Packed', 'type': 'str', 'value': 'YUV411Packed', 'srcline': 159, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'YUV422Packed', 'type': 'str', 'value': 'YUV422Packed', 'srcline': 160, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'YUV444Packed', 'type': 'str', 'value': 'YUV444Packed', 'srcline': 161, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'Mono12p', 'type': 'str', 'value': 'Mono12p', 'srcline': 163, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'BayerGR12p', 'type': 'str', 'value': 'BayerGR12p', 'srcline': 165, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'BayerRG12p', 'type': 'str', 'value': 'BayerRG12p', 'srcline': 166, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'BayerGB12p', 'type': 'str', 'value': 'BayerGB12p', 'srcline': 167, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'BayerBG12p', 'type': 'str', 'value': 'BayerBG12p', 'srcline': 168, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'YCbCr8', 'type': 'str', 'value': 'YCbCr8', 'srcline': 171, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'YCbCr422_8', 'type': 'str', 'value': 'YCbCr422_8', 'srcline': 172, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'YCbCr411_8', 'type': 'str', 'value': 'YCbCr411_8', 'srcline': 173, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'BGR8', 'type': 'str', 'value': 'BGR8', 'srcline': 175, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'BGRa8', 'type': 'str', 'value': 'BGRa8', 'srcline': 176, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}], 'enum_description': 'Image Color Coding: Format of the pixel provided by the camera.'}", &SpinnakerConfig::image_format_color_coding)));
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __min__.isp_enable = 0;
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __max__.isp_enable = 1;
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __default__.isp_enable = 1;
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      Default.abstract_parameters.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<bool>("isp_enable", "bool", 1, "Controls whether the image processing core is used for optional pixel format mode", "", &SpinnakerConfig::isp_enable)));
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __param_descriptions__.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<bool>("isp_enable", "bool", 1, "Controls whether the image processing core is used for optional pixel format mode", "", &SpinnakerConfig::isp_enable)));
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __min__.enable_trigger = "";
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __max__.enable_trigger = "";
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __default__.enable_trigger = "Off";
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      Default.abstract_parameters.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<std::string>("enable_trigger", "str", 0, "Enable the external triggering mode.", "", &SpinnakerConfig::enable_trigger)));
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __param_descriptions__.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<std::string>("enable_trigger", "str", 0, "Enable the external triggering mode.", "", &SpinnakerConfig::enable_trigger)));
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __min__.trigger_selector = "";
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __max__.trigger_selector = "";
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __default__.trigger_selector = "FrameStart";
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      Default.abstract_parameters.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<std::string>("trigger_selector", "str", 0, "Selects the type of trigger to configure.", "{'enum': [{'name': 'AcquisitionStart', 'type': 'str', 'value': 'AcquisitionStart', 'srcline': 192, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'FrameStart', 'type': 'str', 'value': 'FrameStart', 'srcline': 193, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'FrameBurstStart', 'type': 'str', 'value': 'FrameBurstStart', 'srcline': 194, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}], 'enum_description': 'Trigger Types'}", &SpinnakerConfig::trigger_selector)));
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __param_descriptions__.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<std::string>("trigger_selector", "str", 0, "Selects the type of trigger to configure.", "{'enum': [{'name': 'AcquisitionStart', 'type': 'str', 'value': 'AcquisitionStart', 'srcline': 192, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'FrameStart', 'type': 'str', 'value': 'FrameStart', 'srcline': 193, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'FrameBurstStart', 'type': 'str', 'value': 'FrameBurstStart', 'srcline': 194, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}], 'enum_description': 'Trigger Types'}", &SpinnakerConfig::trigger_selector)));
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __min__.trigger_activation_mode = "";
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __max__.trigger_activation_mode = "";
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __default__.trigger_activation_mode = "FallingEdge";
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      Default.abstract_parameters.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<std::string>("trigger_activation_mode", "str", 0, "Trigger Activiation Modes", "{'enum': [{'name': 'LevelLow', 'type': 'str', 'value': 'LevelLow', 'srcline': 201, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'LevelHigh', 'type': 'str', 'value': 'LevelHigh', 'srcline': 202, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'FallingEdge', 'type': 'str', 'value': 'FallingEdge', 'srcline': 203, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'RisingEdge', 'type': 'str', 'value': 'RisingEdge', 'srcline': 204, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'AnyEdge', 'type': 'str', 'value': 'AnyEdge', 'srcline': 205, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}], 'enum_description': 'Trigger Activation Modes'}", &SpinnakerConfig::trigger_activation_mode)));
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __param_descriptions__.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<std::string>("trigger_activation_mode", "str", 0, "Trigger Activiation Modes", "{'enum': [{'name': 'LevelLow', 'type': 'str', 'value': 'LevelLow', 'srcline': 201, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'LevelHigh', 'type': 'str', 'value': 'LevelHigh', 'srcline': 202, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'FallingEdge', 'type': 'str', 'value': 'FallingEdge', 'srcline': 203, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'RisingEdge', 'type': 'str', 'value': 'RisingEdge', 'srcline': 204, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'AnyEdge', 'type': 'str', 'value': 'AnyEdge', 'srcline': 205, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}], 'enum_description': 'Trigger Activation Modes'}", &SpinnakerConfig::trigger_activation_mode)));
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __min__.trigger_source = "";
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __max__.trigger_source = "";
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __default__.trigger_source = "Line0";
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      Default.abstract_parameters.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<std::string>("trigger_source", "str", 0, "Trigger Sources", "{'enum': [{'name': 'Software', 'type': 'str', 'value': 'Software', 'srcline': 210, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'Line0', 'type': 'str', 'value': 'Line0', 'srcline': 211, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'Line1', 'type': 'str', 'value': 'Line1', 'srcline': 212, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'Line2', 'type': 'str', 'value': 'Line2', 'srcline': 213, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'Line3', 'type': 'str', 'value': 'Line3', 'srcline': 214, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'UserOutput0', 'type': 'str', 'value': 'UserOutput0', 'srcline': 216, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'UserOutput1', 'type': 'str', 'value': 'UserOutput1', 'srcline': 217, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'UserOutput2', 'type': 'str', 'value': 'UserOutput2', 'srcline': 218, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'UserOutput3', 'type': 'str', 'value': 'UserOutput3', 'srcline': 219, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'Counter0Start', 'type': 'str', 'value': 'Counter0Start', 'srcline': 221, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'Counter1Start', 'type': 'str', 'value': 'Counter1Start', 'srcline': 222, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'Counter0End', 'type': 'str', 'value': 'Counter0End', 'srcline': 223, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'Counter1End', 'type': 'str', 'value': 'Counter1End', 'srcline': 224, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'LogicBlock0', 'type': 'str', 'value': 'LogicBlock0', 'srcline': 226, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'LogicBlock1', 'type': 'str', 'value': 'LogicBlock1', 'srcline': 227, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'Action0', 'type': 'str', 'value': 'Action0', 'srcline': 228, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}], 'enum_description': 'Software and Hardware Trigger Sources'}", &SpinnakerConfig::trigger_source)));
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __param_descriptions__.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<std::string>("trigger_source", "str", 0, "Trigger Sources", "{'enum': [{'name': 'Software', 'type': 'str', 'value': 'Software', 'srcline': 210, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'Line0', 'type': 'str', 'value': 'Line0', 'srcline': 211, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'Line1', 'type': 'str', 'value': 'Line1', 'srcline': 212, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'Line2', 'type': 'str', 'value': 'Line2', 'srcline': 213, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'Line3', 'type': 'str', 'value': 'Line3', 'srcline': 214, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'UserOutput0', 'type': 'str', 'value': 'UserOutput0', 'srcline': 216, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'UserOutput1', 'type': 'str', 'value': 'UserOutput1', 'srcline': 217, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'UserOutput2', 'type': 'str', 'value': 'UserOutput2', 'srcline': 218, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'UserOutput3', 'type': 'str', 'value': 'UserOutput3', 'srcline': 219, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'Counter0Start', 'type': 'str', 'value': 'Counter0Start', 'srcline': 221, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'Counter1Start', 'type': 'str', 'value': 'Counter1Start', 'srcline': 222, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'Counter0End', 'type': 'str', 'value': 'Counter0End', 'srcline': 223, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'Counter1End', 'type': 'str', 'value': 'Counter1End', 'srcline': 224, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'LogicBlock0', 'type': 'str', 'value': 'LogicBlock0', 'srcline': 226, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'LogicBlock1', 'type': 'str', 'value': 'LogicBlock1', 'srcline': 227, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'Action0', 'type': 'str', 'value': 'Action0', 'srcline': 228, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}], 'enum_description': 'Software and Hardware Trigger Sources'}", &SpinnakerConfig::trigger_source)));
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __min__.trigger_overlap_mode = "";
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __max__.trigger_overlap_mode = "";
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __default__.trigger_overlap_mode = "ReadOut";
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      Default.abstract_parameters.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<std::string>("trigger_overlap_mode", "str", 0, "Trigger Overlap Modes", "{'enum': [{'name': 'Off', 'type': 'str', 'value': 'Off', 'srcline': 239, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'ReadOut', 'type': 'str', 'value': 'ReadOut', 'srcline': 240, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'PreviousFrame', 'type': 'str', 'value': 'PreviousFrame', 'srcline': 241, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}], 'enum_description': 'Trigger Overlap Modes'}", &SpinnakerConfig::trigger_overlap_mode)));
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __param_descriptions__.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<std::string>("trigger_overlap_mode", "str", 0, "Trigger Overlap Modes", "{'enum': [{'name': 'Off', 'type': 'str', 'value': 'Off', 'srcline': 239, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'ReadOut', 'type': 'str', 'value': 'ReadOut', 'srcline': 240, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'PreviousFrame', 'type': 'str', 'value': 'PreviousFrame', 'srcline': 241, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}], 'enum_description': 'Trigger Overlap Modes'}", &SpinnakerConfig::trigger_overlap_mode)));
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __min__.line_source = "";
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __max__.line_source = "";
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __default__.line_source = "Off";
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      Default.abstract_parameters.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<std::string>("line_source", "str", 0, "Line Sources", "{'enum': [{'name': 'LineSource_Off', 'type': 'str', 'value': 'Off', 'srcline': 252, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'LineSource_Line0', 'type': 'str', 'value': 'Line0', 'srcline': 254, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'LineSource_Line1', 'type': 'str', 'value': 'Line1', 'srcline': 255, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'LineSource_Line2', 'type': 'str', 'value': 'Line2', 'srcline': 256, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'LineSource_Line3', 'type': 'str', 'value': 'Line3', 'srcline': 257, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'LineSource_UserOutput0', 'type': 'str', 'value': 'UserOutput0', 'srcline': 259, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'LineSource_UserOutput1', 'type': 'str', 'value': 'UserOutput1', 'srcline': 260, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'LineSource_UserOutput2', 'type': 'str', 'value': 'UserOutput2', 'srcline': 261, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'LineSource_UserOutput3', 'type': 'str', 'value': 'UserOutput3', 'srcline': 262, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'LineSource_Counter0Active', 'type': 'str', 'value': 'Counter0Active', 'srcline': 264, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'LineSource_Counter1Active', 'type': 'str', 'value': 'Counter1Active', 'srcline': 265, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'LineSource_LogicBlock0', 'type': 'str', 'value': 'LogicBlock0', 'srcline': 266, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'LineSource_LogicBlock1', 'type': 'str', 'value': 'LogicBlock1', 'srcline': 267, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'LineSource_ExposureActive', 'type': 'str', 'value': 'ExposureActive', 'srcline': 269, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'LineSource_FrameTriggerWait', 'type': 'str', 'value': 'FrameTriggerWait', 'srcline': 270, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'LineSource_SerialPort0', 'type': 'str', 'value': 'SerialPort0', 'srcline': 271, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'LineSource_PPSSignal', 'type': 'str', 'value': 'PPSSignal', 'srcline': 272, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'LineSource_AllPixel', 'type': 'str', 'value': 'AllPixel', 'srcline': 273, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'LineSource_AnyPixel', 'type': 'str', 'value': 'AnyPixel', 'srcline': 274, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}], 'enum_description': 'Selects which internal acquisition or I/O source signal to output on the selected line. LineMode must be Output'}", &SpinnakerConfig::line_source)));
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __param_descriptions__.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<std::string>("line_source", "str", 0, "Line Sources", "{'enum': [{'name': 'LineSource_Off', 'type': 'str', 'value': 'Off', 'srcline': 252, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'LineSource_Line0', 'type': 'str', 'value': 'Line0', 'srcline': 254, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'LineSource_Line1', 'type': 'str', 'value': 'Line1', 'srcline': 255, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'LineSource_Line2', 'type': 'str', 'value': 'Line2', 'srcline': 256, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'LineSource_Line3', 'type': 'str', 'value': 'Line3', 'srcline': 257, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'LineSource_UserOutput0', 'type': 'str', 'value': 'UserOutput0', 'srcline': 259, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'LineSource_UserOutput1', 'type': 'str', 'value': 'UserOutput1', 'srcline': 260, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'LineSource_UserOutput2', 'type': 'str', 'value': 'UserOutput2', 'srcline': 261, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'LineSource_UserOutput3', 'type': 'str', 'value': 'UserOutput3', 'srcline': 262, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'LineSource_Counter0Active', 'type': 'str', 'value': 'Counter0Active', 'srcline': 264, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'LineSource_Counter1Active', 'type': 'str', 'value': 'Counter1Active', 'srcline': 265, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'LineSource_LogicBlock0', 'type': 'str', 'value': 'LogicBlock0', 'srcline': 266, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'LineSource_LogicBlock1', 'type': 'str', 'value': 'LogicBlock1', 'srcline': 267, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'LineSource_ExposureActive', 'type': 'str', 'value': 'ExposureActive', 'srcline': 269, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'LineSource_FrameTriggerWait', 'type': 'str', 'value': 'FrameTriggerWait', 'srcline': 270, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'LineSource_SerialPort0', 'type': 'str', 'value': 'SerialPort0', 'srcline': 271, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'LineSource_PPSSignal', 'type': 'str', 'value': 'PPSSignal', 'srcline': 272, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'LineSource_AllPixel', 'type': 'str', 'value': 'AllPixel', 'srcline': 273, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'LineSource_AnyPixel', 'type': 'str', 'value': 'AnyPixel', 'srcline': 274, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}], 'enum_description': 'Selects which internal acquisition or I/O source signal to output on the selected line. LineMode must be Output'}", &SpinnakerConfig::line_source)));
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __min__.line_selector = "";
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __max__.line_selector = "";
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __default__.line_selector = "Line0";
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      Default.abstract_parameters.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<std::string>("line_selector", "str", 0, "Line Selector", "{'enum': [{'name': 'LineSelector_Line0', 'type': 'str', 'value': 'Line0', 'srcline': 280, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'LineSelector_Line1', 'type': 'str', 'value': 'Line1', 'srcline': 281, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'LineSelector_Line2', 'type': 'str', 'value': 'Line2', 'srcline': 282, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'LineSelector_Line3', 'type': 'str', 'value': 'Line3', 'srcline': 283, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}], 'enum_description': 'Selects the physical line (or pin) of the external device connector to configure.'}", &SpinnakerConfig::line_selector)));
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __param_descriptions__.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<std::string>("line_selector", "str", 0, "Line Selector", "{'enum': [{'name': 'LineSelector_Line0', 'type': 'str', 'value': 'Line0', 'srcline': 280, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'LineSelector_Line1', 'type': 'str', 'value': 'Line1', 'srcline': 281, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'LineSelector_Line2', 'type': 'str', 'value': 'Line2', 'srcline': 282, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'LineSelector_Line3', 'type': 'str', 'value': 'Line3', 'srcline': 283, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}], 'enum_description': 'Selects the physical line (or pin) of the external device connector to configure.'}", &SpinnakerConfig::line_selector)));
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __min__.line_mode = "";
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __max__.line_mode = "";
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __default__.line_mode = "Input";
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      Default.abstract_parameters.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<std::string>("line_mode", "str", 0, "Line Mode", "{'enum': [{'name': 'Input', 'type': 'str', 'value': 'Input', 'srcline': 289, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'Output', 'type': 'str', 'value': 'Output', 'srcline': 290, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}], 'enum_description': 'Line Mode'}", &SpinnakerConfig::line_mode)));
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __param_descriptions__.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<std::string>("line_mode", "str", 0, "Line Mode", "{'enum': [{'name': 'Input', 'type': 'str', 'value': 'Input', 'srcline': 289, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'Output', 'type': 'str', 'value': 'Output', 'srcline': 290, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': '', 'ctype': 'std::string', 'cconsttype': 'const char * const'}], 'enum_description': 'Line Mode'}", &SpinnakerConfig::line_mode)));
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __min__.auto_exposure_roi_offset_x = 0;
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __max__.auto_exposure_roi_offset_x = 65535;
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __default__.auto_exposure_roi_offset_x = 0;
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      Default.abstract_parameters.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<int>("auto_exposure_roi_offset_x", "int", 0, "Auto exposure ROI X offset.", "", &SpinnakerConfig::auto_exposure_roi_offset_x)));
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __param_descriptions__.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<int>("auto_exposure_roi_offset_x", "int", 0, "Auto exposure ROI X offset.", "", &SpinnakerConfig::auto_exposure_roi_offset_x)));
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __min__.auto_exposure_roi_offset_y = 0;
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __max__.auto_exposure_roi_offset_y = 65535;
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __default__.auto_exposure_roi_offset_y = 0;
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      Default.abstract_parameters.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<int>("auto_exposure_roi_offset_y", "int", 0, "Auto exposure ROI Y offset.", "", &SpinnakerConfig::auto_exposure_roi_offset_y)));
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __param_descriptions__.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<int>("auto_exposure_roi_offset_y", "int", 0, "Auto exposure ROI Y offset.", "", &SpinnakerConfig::auto_exposure_roi_offset_y)));
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __min__.auto_exposure_roi_width = 0;
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __max__.auto_exposure_roi_width = 65535;
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __default__.auto_exposure_roi_width = 0;
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      Default.abstract_parameters.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<int>("auto_exposure_roi_width", "int", 0, "Auto exposure ROI width.", "", &SpinnakerConfig::auto_exposure_roi_width)));
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __param_descriptions__.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<int>("auto_exposure_roi_width", "int", 0, "Auto exposure ROI width.", "", &SpinnakerConfig::auto_exposure_roi_width)));
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __min__.auto_exposure_roi_height = 0;
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __max__.auto_exposure_roi_height = 65535;
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __default__.auto_exposure_roi_height = 0;
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      Default.abstract_parameters.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<int>("auto_exposure_roi_height", "int", 0, "Auto exposure ROI height.", "", &SpinnakerConfig::auto_exposure_roi_height)));
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __param_descriptions__.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<int>("auto_exposure_roi_height", "int", 0, "Auto exposure ROI height.", "", &SpinnakerConfig::auto_exposure_roi_height)));
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __min__.auto_exposure_lighting_mode = "";
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __max__.auto_exposure_lighting_mode = "";
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __default__.auto_exposure_lighting_mode = "Normal";
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      Default.abstract_parameters.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<std::string>("auto_exposure_lighting_mode", "str", 0, "Auto exposure lighting mode.", "{'enum': [{'name': 'Normal', 'type': 'str', 'value': 'Normal', 'srcline': 303, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': 'Normal', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'Frontlight', 'type': 'str', 'value': 'Frontlight', 'srcline': 304, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': 'Front Lighting', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'Backlight', 'type': 'str', 'value': 'Backlight', 'srcline': 305, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': 'Back Lighting', 'ctype': 'std::string', 'cconsttype': 'const char * const'}], 'enum_description': 'Auto algorithms lighting modes'}", &SpinnakerConfig::auto_exposure_lighting_mode)));
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __param_descriptions__.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<std::string>("auto_exposure_lighting_mode", "str", 0, "Auto exposure lighting mode.", "{'enum': [{'name': 'Normal', 'type': 'str', 'value': 'Normal', 'srcline': 303, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': 'Normal', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'Frontlight', 'type': 'str', 'value': 'Frontlight', 'srcline': 304, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': 'Front Lighting', 'ctype': 'std::string', 'cconsttype': 'const char * const'}, {'name': 'Backlight', 'type': 'str', 'value': 'Backlight', 'srcline': 305, 'srcfile': '/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg', 'description': 'Back Lighting', 'ctype': 'std::string', 'cconsttype': 'const char * const'}], 'enum_description': 'Auto algorithms lighting modes'}", &SpinnakerConfig::auto_exposure_lighting_mode)));
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __min__.time_offset = -5.0;
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __max__.time_offset = 5.0;
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __default__.time_offset = 0.0;
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      Default.abstract_parameters.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<double>("time_offset", "double", 0, "Time offset to add to image time stamps.", "", &SpinnakerConfig::time_offset)));
//#line 292 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __param_descriptions__.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<double>("time_offset", "double", 0, "Time offset to add to image time stamps.", "", &SpinnakerConfig::time_offset)));
//#line 247 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      Default.convertParams();
//#line 247 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __group_descriptions__.push_back(SpinnakerConfig::AbstractGroupDescriptionConstPtr(new SpinnakerConfig::GroupDescription<SpinnakerConfig::DEFAULT, SpinnakerConfig>(Default)));
//#line 369 "/opt/ros/noetic/share/dynamic_reconfigure/cmake/../templates/ConfigType.h.template"

      for (std::vector<SpinnakerConfig::AbstractGroupDescriptionConstPtr>::const_iterator i = __group_descriptions__.begin(); i != __group_descriptions__.end(); ++i)
      {
        __description_message__.groups.push_back(**i);
      }
      __max__.__toMessage__(__description_message__.max, __param_descriptions__, __group_descriptions__);
      __min__.__toMessage__(__description_message__.min, __param_descriptions__, __group_descriptions__);
      __default__.__toMessage__(__description_message__.dflt, __param_descriptions__, __group_descriptions__);
    }
    std::vector<SpinnakerConfig::AbstractParamDescriptionConstPtr> __param_descriptions__;
    std::vector<SpinnakerConfig::AbstractGroupDescriptionConstPtr> __group_descriptions__;
    SpinnakerConfig __max__;
    SpinnakerConfig __min__;
    SpinnakerConfig __default__;
    dynamic_reconfigure::ConfigDescription __description_message__;

    static const SpinnakerConfigStatics *get_instance()
    {
      // Split this off in a separate function because I know that
      // instance will get initialized the first time get_instance is
      // called, and I am guaranteeing that get_instance gets called at
      // most once.
      static SpinnakerConfigStatics instance;
      return &instance;
    }
  };

  inline const dynamic_reconfigure::ConfigDescription &SpinnakerConfig::__getDescriptionMessage__()
  {
    return __get_statics__()->__description_message__;
  }

  inline const SpinnakerConfig &SpinnakerConfig::__getDefault__()
  {
    return __get_statics__()->__default__;
  }

  inline const SpinnakerConfig &SpinnakerConfig::__getMax__()
  {
    return __get_statics__()->__max__;
  }

  inline const SpinnakerConfig &SpinnakerConfig::__getMin__()
  {
    return __get_statics__()->__min__;
  }

  inline const std::vector<SpinnakerConfig::AbstractParamDescriptionConstPtr> &SpinnakerConfig::__getParamDescriptions__()
  {
    return __get_statics__()->__param_descriptions__;
  }

  inline const std::vector<SpinnakerConfig::AbstractGroupDescriptionConstPtr> &SpinnakerConfig::__getGroupDescriptions__()
  {
    return __get_statics__()->__group_descriptions__;
  }

  inline const SpinnakerConfigStatics *SpinnakerConfig::__get_statics__()
  {
    const static SpinnakerConfigStatics *statics;

    if (statics) // Common case
      return statics;

    boost::mutex::scoped_lock lock(dynamic_reconfigure::__init_mutex__);

    if (statics) // In case we lost a race.
      return statics;

    statics = SpinnakerConfigStatics::get_instance();

    return statics;
  }

//#line 83 "/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg"
      const char * const Spinnaker_AutoOff = "Off";
//#line 84 "/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg"
      const char * const Spinnaker_AutoOnce = "Once";
//#line 85 "/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg"
      const char * const Spinnaker_AutoContinuous = "Continuous";
//#line 137 "/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg"
      const char * const Spinnaker_Mono8 = "Mono8";
//#line 138 "/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg"
      const char * const Spinnaker_Mono16 = "Mono16";
//#line 140 "/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg"
      const char * const Spinnaker_RGB8Packed = "RGB8Packed";
//#line 142 "/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg"
      const char * const Spinnaker_BayerGR8 = "BayerGR8";
//#line 143 "/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg"
      const char * const Spinnaker_BayerRG8 = "BayerRG8";
//#line 144 "/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg"
      const char * const Spinnaker_BayerGB8 = "BayerGB8";
//#line 145 "/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg"
      const char * const Spinnaker_BayerBG8 = "BayerBG8";
//#line 147 "/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg"
      const char * const Spinnaker_BayerGR16 = "BayerGR16";
//#line 148 "/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg"
      const char * const Spinnaker_BayerRG16 = "BayerRG16";
//#line 149 "/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg"
      const char * const Spinnaker_BayerGB16 = "BayerGB16";
//#line 150 "/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg"
      const char * const Spinnaker_BayerBG16 = "BayerBG16";
//#line 152 "/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg"
      const char * const Spinnaker_Mono12Packed = "Mono12Packed";
//#line 154 "/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg"
      const char * const Spinnaker_BayerGR12Packed = "BayerGR12Packed";
//#line 155 "/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg"
      const char * const Spinnaker_BayerRG12Packed = "BayerRG12Packed";
//#line 156 "/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg"
      const char * const Spinnaker_BayerGB12Packed = "BayerGB12Packed";
//#line 157 "/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg"
      const char * const Spinnaker_BayerBG12Packed = "BayerBG12Packed";
//#line 159 "/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg"
      const char * const Spinnaker_YUV411Packed = "YUV411Packed";
//#line 160 "/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg"
      const char * const Spinnaker_YUV422Packed = "YUV422Packed";
//#line 161 "/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg"
      const char * const Spinnaker_YUV444Packed = "YUV444Packed";
//#line 163 "/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg"
      const char * const Spinnaker_Mono12p = "Mono12p";
//#line 165 "/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg"
      const char * const Spinnaker_BayerGR12p = "BayerGR12p";
//#line 166 "/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg"
      const char * const Spinnaker_BayerRG12p = "BayerRG12p";
//#line 167 "/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg"
      const char * const Spinnaker_BayerGB12p = "BayerGB12p";
//#line 168 "/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg"
      const char * const Spinnaker_BayerBG12p = "BayerBG12p";
//#line 171 "/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg"
      const char * const Spinnaker_YCbCr8 = "YCbCr8";
//#line 172 "/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg"
      const char * const Spinnaker_YCbCr422_8 = "YCbCr422_8";
//#line 173 "/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg"
      const char * const Spinnaker_YCbCr411_8 = "YCbCr411_8";
//#line 175 "/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg"
      const char * const Spinnaker_BGR8 = "BGR8";
//#line 176 "/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg"
      const char * const Spinnaker_BGRa8 = "BGRa8";
//#line 192 "/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg"
      const char * const Spinnaker_AcquisitionStart = "AcquisitionStart";
//#line 193 "/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg"
      const char * const Spinnaker_FrameStart = "FrameStart";
//#line 194 "/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg"
      const char * const Spinnaker_FrameBurstStart = "FrameBurstStart";
//#line 201 "/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg"
      const char * const Spinnaker_LevelLow = "LevelLow";
//#line 202 "/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg"
      const char * const Spinnaker_LevelHigh = "LevelHigh";
//#line 203 "/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg"
      const char * const Spinnaker_FallingEdge = "FallingEdge";
//#line 204 "/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg"
      const char * const Spinnaker_RisingEdge = "RisingEdge";
//#line 205 "/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg"
      const char * const Spinnaker_AnyEdge = "AnyEdge";
//#line 210 "/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg"
      const char * const Spinnaker_Software = "Software";
//#line 211 "/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg"
      const char * const Spinnaker_Line0 = "Line0";
//#line 212 "/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg"
      const char * const Spinnaker_Line1 = "Line1";
//#line 213 "/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg"
      const char * const Spinnaker_Line2 = "Line2";
//#line 214 "/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg"
      const char * const Spinnaker_Line3 = "Line3";
//#line 216 "/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg"
      const char * const Spinnaker_UserOutput0 = "UserOutput0";
//#line 217 "/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg"
      const char * const Spinnaker_UserOutput1 = "UserOutput1";
//#line 218 "/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg"
      const char * const Spinnaker_UserOutput2 = "UserOutput2";
//#line 219 "/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg"
      const char * const Spinnaker_UserOutput3 = "UserOutput3";
//#line 221 "/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg"
      const char * const Spinnaker_Counter0Start = "Counter0Start";
//#line 222 "/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg"
      const char * const Spinnaker_Counter1Start = "Counter1Start";
//#line 223 "/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg"
      const char * const Spinnaker_Counter0End = "Counter0End";
//#line 224 "/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg"
      const char * const Spinnaker_Counter1End = "Counter1End";
//#line 226 "/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg"
      const char * const Spinnaker_LogicBlock0 = "LogicBlock0";
//#line 227 "/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg"
      const char * const Spinnaker_LogicBlock1 = "LogicBlock1";
//#line 228 "/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg"
      const char * const Spinnaker_Action0 = "Action0";
//#line 239 "/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg"
      const char * const Spinnaker_Off = "Off";
//#line 240 "/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg"
      const char * const Spinnaker_ReadOut = "ReadOut";
//#line 241 "/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg"
      const char * const Spinnaker_PreviousFrame = "PreviousFrame";
//#line 252 "/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg"
      const char * const Spinnaker_LineSource_Off = "Off";
//#line 254 "/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg"
      const char * const Spinnaker_LineSource_Line0 = "Line0";
//#line 255 "/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg"
      const char * const Spinnaker_LineSource_Line1 = "Line1";
//#line 256 "/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg"
      const char * const Spinnaker_LineSource_Line2 = "Line2";
//#line 257 "/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg"
      const char * const Spinnaker_LineSource_Line3 = "Line3";
//#line 259 "/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg"
      const char * const Spinnaker_LineSource_UserOutput0 = "UserOutput0";
//#line 260 "/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg"
      const char * const Spinnaker_LineSource_UserOutput1 = "UserOutput1";
//#line 261 "/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg"
      const char * const Spinnaker_LineSource_UserOutput2 = "UserOutput2";
//#line 262 "/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg"
      const char * const Spinnaker_LineSource_UserOutput3 = "UserOutput3";
//#line 264 "/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg"
      const char * const Spinnaker_LineSource_Counter0Active = "Counter0Active";
//#line 265 "/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg"
      const char * const Spinnaker_LineSource_Counter1Active = "Counter1Active";
//#line 266 "/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg"
      const char * const Spinnaker_LineSource_LogicBlock0 = "LogicBlock0";
//#line 267 "/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg"
      const char * const Spinnaker_LineSource_LogicBlock1 = "LogicBlock1";
//#line 269 "/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg"
      const char * const Spinnaker_LineSource_ExposureActive = "ExposureActive";
//#line 270 "/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg"
      const char * const Spinnaker_LineSource_FrameTriggerWait = "FrameTriggerWait";
//#line 271 "/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg"
      const char * const Spinnaker_LineSource_SerialPort0 = "SerialPort0";
//#line 272 "/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg"
      const char * const Spinnaker_LineSource_PPSSignal = "PPSSignal";
//#line 273 "/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg"
      const char * const Spinnaker_LineSource_AllPixel = "AllPixel";
//#line 274 "/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg"
      const char * const Spinnaker_LineSource_AnyPixel = "AnyPixel";
//#line 280 "/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg"
      const char * const Spinnaker_LineSelector_Line0 = "Line0";
//#line 281 "/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg"
      const char * const Spinnaker_LineSelector_Line1 = "Line1";
//#line 282 "/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg"
      const char * const Spinnaker_LineSelector_Line2 = "Line2";
//#line 283 "/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg"
      const char * const Spinnaker_LineSelector_Line3 = "Line3";
//#line 289 "/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg"
      const char * const Spinnaker_Input = "Input";
//#line 290 "/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg"
      const char * const Spinnaker_Output = "Output";
//#line 303 "/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg"
      const char * const Spinnaker_Normal = "Normal";
//#line 304 "/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg"
      const char * const Spinnaker_Frontlight = "Frontlight";
//#line 305 "/tmp/binarydeb/ros-noetic-spinnaker-camera-driver-0.2.5/cfg/Spinnaker.cfg"
      const char * const Spinnaker_Backlight = "Backlight";
}

#undef DYNAMIC_RECONFIGURE_FINAL

#endif // __SPINNAKERRECONFIGURATOR_H__
